Subject: bug#18142: Emacs starts slowly in case of wrong hostname (/etc/hosts)

From: Glenn Morris <[email-masked]>
Date: Tue, 29 Jul 2014 20:06:31 -0400

Petr Hracek wrote:

> https://bugzilla.redhat.com/show_bug.cgi?id=923418
>
> I have a question. I know that emacs does not modify hostname.
> That's correct.
>
> But my question is whether emacs can check validity of hostname during start
> and in case of failure inform user that hostname is wrong.

There's been an etc/PROBLEMS entry about this for at least a decade, so
my guess is: no.